#include <bits/stdc++.h>

using namespace std;

long long N,M,O;

int main(){
    cin>>N>>M;
    O=2*(N+M);
    if(N==1 or M==1){
        cout<<max(N,M);
    }
    else{
    cout<<(O-4) +((N-2)*(M-2))/2<<endl;
    }
    return 0;
}